com.verisign.epp.codec.registry.v02

## Enum EPPRegistryDomain.HostModelSupported

- java.lang.Object
- - java.lang.Enum<EPPRegistryDomain.HostModelSupported>
  - - com.verisign.epp.codec.registry.v02.EPPRegistryDomain.HostModelSupported

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EPPRegistryDomain.HostModelSupported>
  Enclosing class:
    EPPRegistryDomain

      public static enum EPPRegistryDomain.HostModelSupported
      extends java.lang.Enum<EPPRegistryDomain.HostModelSupported>

  Possible values for the `hostModelSupported` attribute.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `hostAttr` Constant for the host attribute model defined in RFC 5731.
    `hostObj` Constant for the host object model defined in RFC 5731.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EPPRegistryDomain.HostModelSupported` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EPPRegistryDomain.HostModelSupported[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### hostObj

          public static final EPPRegistryDomain.HostModelSupported hostObj

      Constant for the host object model defined in RFC 5731.

    - #### hostAttr

          public static final EPPRegistryDomain.HostModelSupported hostAttr

      Constant for the host attribute model defined in RFC 5731.

  - ### Method Detail

    - #### values

          public static EPPRegistryDomain.HostModelSupported[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EPPRegistryDomain.HostModelSupported c : EPPRegistryDomain.HostModelSupported.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EPPRegistryDomain.HostModelSupported valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © VeriSign Inc. All Rights Reserved.